import { EventEmitter } from '@angular/core';
export declare class DialogBaseComponent {
    show: boolean;
    uiHide: EventEmitter<void>;
    display: boolean;
    private _show;
    animationEnd(): void;
    hide(): void;
}
